Scrum - User story #1605

Redmine 5.0 support
2022-04-19 08:21 - Masashi KUDOU

Status: Resolved

Priority: Normal

Category: Redmine changes

Target version: Scrum v0.23.0

Blocked: No Alone: No
Description

Thank you for the great plugin.

| will be upgrading to Remine 5.0.
Can the Scrum plugin work with Redmine 5.0?
If not, | hope you to support version 5.0

Associated revisions

Revision efefc422 - 2022-06-13 20:24 - Emilio Gonzalez Montana
#1605 Increment to v0.23.0

Revision bc4892c6 - 2022-06-13 20:25 - Emilio Gonzalez Montaiia
#1605 Update author URL (https)

Revision 3dc89b3b - 2022-06-13 20:25 - Emilio Gonzalez Montaina

#1605 Remove not needed development environment

Revision 7316374e - 2022-06-13 20:26 - Emilio Gonzalez Montana
#1605 Update require dependencies loading

History

#1 - 2022-06-13 20:28 - Emilio Gonzalez Montanha
- Target version set to Scrum v0.23.0
- Status changed from New to In progress

- Category set to Redmine changes

#2 - 2022-07-07 15:24 - Marcos Mata

- File scrum_error.png added

Thanks Emilio for your work!.

| have successfully tested Scrum 0.23.0 version in a Redmine dockerized environment without any other plugin installed:

Redmine version 5.0.1.stable
Ruby version 3.1.2-p20 (2022-04-12) [x86_64-1inux]
Rails version 6.1.6
Environment production
Database adapter Mysgl2

I will now check other plugins compatibility.

The only bug | have detected (and | think it is not related to Redmine 5), is that when a PBI or a task is assigned to a group, the sprint board is not
showed and an error 500 is returned.

#3 - 2022-07-08 16:38 - Marcos Mata

| have verified compatibility with several plugins:

Environment:
Redmine version 5.0.2.stable
Ruby version 3.1.2-p20 (2022-04-12) [x86_64-linux]
Rails version 6.1.6

Environment production
Database adapter Mysql2
Redmine plugins:

additionals 3.0.6
redmine_checklists 3.1.21
redmine_custom_workflows 2.0.4
redmine_dashboard 2.12.1
redmine_drawio 1.4.1
redmine_impersonate 2.0.0

redmine_issue_dynamic_edit 0.8.1
redmine_my_page_paginations 1.0.2

redmine_people 1.6.2
redmine_reporter 2.0.2
redmine_wysiwyg_editor 0.27.0
redmine_x_assets 21.0
redmine_x_project_templates 1.1.0
redmine_x_resources 2.1.1
redmine_xIsx_format_issue_exporter 0.1.7
redmineup_tags 2.0.12

scrum 0.23.0
view_customize 3.0.0

#4 - 2022-07-24 08:47 - Emilio Gonzalez Montaha

- Status changed from In progress to Resolved

Files
